net.corda.client.model

## Class ContractStateModel

- net.corda.client.model.ContractStateModel

-     public class ContractStateModel

  This model exposes the list of owned contract states.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ContractStateModel.Companion`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ContractStateModel.Companion` | `Companion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractStateModel()` This model exposes the list of owned contract states.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javafx.collections.ObservableList<net.corda.core.contracts.Amount>` | `getCash()`
    `javafx.collections.ObservableList<net.corda.core.contracts.StateAndRef>` | `getCashStates()`

- - ### Field Detail

    - #### Companion

          public static ContractStateModel.Companion Companion

  - ### Constructor Detail

    - #### ContractStateModel

          public ContractStateModel()

      This model exposes the list of owned contract states.

  - ### Method Detail

    - #### getCashStates

          public javafx.collections.ObservableList<net.corda.core.contracts.StateAndRef> getCashStates()

    - #### getCash

          public javafx.collections.ObservableList<net.corda.core.contracts.Amount> getCash()